comment sélectionner une part dans un product

Voir le sujet précédent Voir le sujet suivant Aller en bas

comment sélectionner une part dans un product

Message par xorman le Ven 19 Sep 2014 - 3:52

Bonjour
Je voudrais sélectionner dans un product qui contient des parts, toutes les surfaces moulées.
ci joint un bout de code

[color=#003333]Dim ProductDoc As ProductDocument
Dim MyProductDocument As Product
Dim PartDoc As PartDocument
Dim MyPart As Part
Dim selection1 As Selection
Dim i As Integer
Dim InstancePart As String


On Error Resume Next
   Set ProductDoc = CATIA.ActiveDocument
On Error GoTo 0
If ProductDoc Is Nothing Then
   MsgBox "Lancer la macro depuis un CATProduct actif!", vbExclamation, "Product non actif"
   Exit Sub
End If

Set MyProductDocument = ProductDoc.Product

For i = 1 To MyProductDocument.Products.Count  'identifie le nombre de part dans le product
Debug.Print MyProductDocument.Products.Item(i).Name


Set MyPart = MyProductDocument.Products.Item(i)    ' je bloque ici   Laughing

Set selection1 = MyPart.Selection

selection1.Search "(Name=*molded* + Name=*SuperTrace* + Name=*OpeningsSet*),all"
selection1.VisProperties.SetShow 0
Next
End Sub
avatar
xorman
actif
actif

Messages : 95
Date d'inscription : 06/09/2008
Age : 40
Localisation : Cherbourg

http://www.myimpression3d.com

Revenir en haut Aller en bas

Re: comment sélectionner une part dans un product

Message par xorman le Ven 26 Sep 2014 - 3:03

en faite j'ai trouvé. je fais la sélection dans l'ensemble du product.Ci oint l'ensemble du code

Sub CATMain()
Dim productDocument1 As ProductDocument

'test si c'est un CATPRODUCT
On Error Resume Next
Set productDocument1 = CATIA.ActiveDocument
On Error GoTo 0
If productDocument1 Is Nothing Then
MsgBox "Lancer la macro depuis un CATProduct actif!", vbExclamation, "Product non actif"
Exit Sub
End If

UserFormSelectionNX.Show 'afiiche la fenetre pour faire patienter pdt le traitement

'PASSAGE EN MODE CONCEPTION
Dim product1 As Product
Set product1 = productDocument1.Product
product1.ApplyWorkMode DESIGN_MODE


'SELECTIONNER ET CACHER LES DONNESS A METTRE DANS LE NOSHOW
Dim selection2 As Selection
Set selection2 = productDocument1.Selection
selection2.Search "(Name=*PlatesSet* + Name=*BeamsSet* + Name=*StiffenersSet* ),all"
selection2.VisProperties.SetShow 1
selection2.Clear

'SELECTIONNER ET AFFICHER LES DONNESS A GARDER DANS LE SHOW
Dim selection1 As Selection
Set selection1 = productDocument1.Selection
selection1.Search "(Name=*molded* + Name=*SuperTrace* + Name=*OpeningsSet* + Name=*SuperStiffenersSet* ),all"
selection1.VisProperties.SetShow 0
selection1.Clear

UserFormSelectionNX.Hide 'cache la fenètre de fin de traitement
MsgBox "Traitement terminé"
End Sub
avatar
xorman
actif
actif

Messages : 95
Date d'inscription : 06/09/2008
Age : 40
Localisation : Cherbourg

http://www.myimpression3d.com

Revenir en haut Aller en bas

Voir le sujet précédent Voir le sujet suivant Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum